Index: trunk/ICeCoffEE/ICeCoffEE/APEMain.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/APEMain.m	(revision 388)
+++ trunk/ICeCoffEE/ICeCoffEE/APEMain.m	(revision 389)
@@ -17,5 +17,4 @@
 #import <objc/objc-runtime.h>
 #import "ICeCoffEE.h"
-#import "CPS.h"
 
 //¥¥¥ Our settings
@@ -66,6 +65,23 @@
 CFBundleRef ICCF_bundle;
 
-// With APE 1.3, if we're in the exclude list, APEBundleMainEarlyLoad doesn't get invoked; don't need to use APETools.  But we need to do our own management to avoid loading in non-GUI applications.
+// With APE 1.3, if we're in the exclude list, APEBundleMainEarlyLoad doesn't get invoked; don't need to use APETools.  But we need to do our own management to avoid loading in background-only applications.
 Boolean ICCF_shouldLoad;
+
+static Boolean ICCF_IsOne(CFTypeRef value) {
+    if (value == NULL)
+	return false;
+    CFTypeID typeID = CFGetTypeID(value);
+    if (typeID == CFBooleanGetTypeID())
+	return CFBooleanGetValue((CFBooleanRef)value);
+    else if (typeID == CFNumberGetTypeID()) {
+	static const int one = 1;
+	static CFNumberRef oneRef = NULL;
+	if (oneRef == NULL) oneRef = CFNumberCreate(NULL, kCFNumberIntType, &one);
+	return CFNumberCompare((CFNumberRef)value, oneRef, NULL) == kCFCompareEqualTo;
+    } else if (typeID == CFStringGetTypeID()) {
+	return CFStringCompare((CFStringRef)value, CFSTR("1"), 0) == kCFCompareEqualTo;
+    }
+    return false;
+}
 
 void APEBundleMainEarlyLoad(CFBundleRef inBundle, CFStringRef inAPEToolsApplicationID)
@@ -80,36 +96,22 @@
 
     ICCF_shouldLoad = false;
-
-    CPSProcessSerNum psn;
-    OSStatus err = CPSGetCurrentProcess(&psn);
-    if (err != noErr) {
-#if ICCF_DEBUG
-        apeprintf("ICeCoffEE APE: Can't get process serial number for current process (error %ld); still loading because of ICCF_DEBUG\n", err);
-#else
-        apeprintf("ICeCoffEE APE: Can't get process serial number for current process (error %ld); not loading in this application\n", err);
-        return;
-#endif
-    }
-
-    CPSProcessInfoRec info;
-    err = CPSGetProcessInfo(&psn, &info, NULL, 0, NULL, NULL, 0);
-    if (err != noErr) {
-#if ICCF_DEBUG
-        apeprintf("ICeCoffEE APE: Can't get process information (error %ld); still loading because of ICCF_DEBUG\n", err);
-#else
-        apeprintf("ICeCoffEE APE: Can't get process information (error %ld); not loading in this application\n", err);
-        return;
-#endif
-    } else {
-        ICapeprintf("ICeCoffEE APE: got process attributes = 0x%lx\n", info.Attributes);
-        if (info.Attributes & (kCPSBGOnlyAttr | kCPSUIElementAttr | kCPSFullScreenAttr)) {
-            ICapeprintf("ICeCoffEE APE: not loading as this application is background-only\n");
-            return;
-        }
+    
+    CFBundleRef appBundle = CFBundleGetMainBundle();
+    if (appBundle == NULL) {
+	apeprintf("ICeCoffEE APE: Can't get CFBundle for current process; not loading\n");
+	return;
+    }
+    
+    if (ICCF_IsOne(CFBundleGetValueForInfoDictionaryKey(appBundle, CFSTR("LSUIElement"))) ||
+	ICCF_IsOne(CFBundleGetValueForInfoDictionaryKey(appBundle, CFSTR("NSUIElement"))) ||
+	ICCF_IsOne(CFBundleGetValueForInfoDictionaryKey(appBundle, CFSTR("LSBackgroundOnly"))) ||
+	ICCF_IsOne(CFBundleGetValueForInfoDictionaryKey(appBundle, CFSTR("NSBackgroundOnly")))) {
+	ICapeprintf("ICeCoffEE APE: not loading as this application is background-only\n");
+	return;
     }
     ICCF_shouldLoad = true;
 }
 
-Boolean ICCF_CFBundleIDMatches(CFStringRef bundleID, CFStringRef test) {
+static Boolean ICCF_CFBundleIDMatches(CFStringRef bundleID, CFStringRef test) {
     return CFStringCompare(bundleID, test, kCFCompareCaseInsensitive) == kCFCompareEqualTo;
 }
@@ -119,5 +121,5 @@
     if (!ICCF_shouldLoad) return;
 
-    ICCF_bundle = CFBundleGetBundleWithIdentifier(kICBundleIdentifier);
+    ICCF_bundle = inBundle;
     CFStringRef bundleID = CFBundleGetIdentifier(CFBundleGetMainBundle());
     BOOL shouldLoadInNSTextView = YES;
Index: trunk/ICeCoffEE/ICeCoffEE/CPS.h
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/CPS.h	(revision 388)
+++ 	(revision )
@@ -1,299 +1,0 @@
-// CPS.h
-
-#pragma once
-
-#include <ApplicationServices/ApplicationServices.h>
-
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#if PRAGMA_STRUCT_ALIGN
-    #pragma options align=mac68k
-#elif PRAGMA_STRUCT_PACKPUSH
-    #pragma pack(push, 2)
-#elif PRAGMA_STRUCT_PACK
-    #pragma pack(2)
-#endif
-
-
-struct CPSProcessSerNum
-{
-	UInt32		lo;
-	UInt32		hi;
-};
-
-typedef struct CPSProcessSerNum	CPSProcessSerNum;
-
-enum
-{
-	kCPSNoProcess		=	0,
-	kCPSSystemProcess	=	1,
-	kCPSCurrentProcess	=	2
-};
-
-
-enum
-{
-	bfCPSIntraProcessSwitch =	1,
-	bfCPSDeathBySignal	=	2
-};
-
-typedef UInt16	CPSEventFlags;
-
-
-enum
-{
-	kCPSBlueApp	=	0,
-	kCPSBlueBox	=	1,
-	kCPSCarbonApp	=	2,
-	kCPSYellowApp	=	3,
-	kCPSUnknownApp	=	4
-};
-
-typedef UInt32	CPSAppFlavour;
-
-
-enum
-{
-	kCPSBGOnlyAttr		=	1024,
-	kCPSUIElementAttr	=	65536,
-	kCPSHiddenAttr		=	131072,
-	kCPSNoConnectAttr	=	262144,
-	kCPSFullScreenAttr	=	524288,
-	kCPSClassicReqAttr	=	1048576,
-	kCPSNativeReqAttr	=	2097152
-};
-
-typedef UInt32	CPSProcAttributes;
-
-
-struct CPSProcessInfoRec
-{
-	CPSProcessSerNum 	Parent;
-	UInt64			LaunchDate;
-	CPSAppFlavour		Flavour;
-	CPSProcAttributes	Attributes;
-	UInt32			ExecFileType;
-	UInt32			ExecFileCreator;
-	UInt32			UnixPID;
-};
-
-typedef struct CPSProcessInfoRec	CPSProcessInfoRec;
-
-
-enum
-{
-	kCPSNotifyChildDeath	=	1,
-	kCPSNotifyNewFront	=	2,
-	kCPSNotifyAppBirth	=	4,
-	kCPSNotifyAppDeath	=	8,
-	kCPSNotifyLaunch	=	9,
-	kCPSNotifyServiceReq	=	16,
-	kCPSNotifyAppHidden	=	32,
-	kCPSNotifyAppRevealed	=	64,
-	kCPSNotifyFGEnabled	=	128,
-	kCPSNotifyLaunchStart	=	256,
-	kCPSNotifyAppReady	=	512,
-	kCPSNotifyLaunchFail	=	1024,
-	kCPSNotifyAppDeathExt	=	2048,
-	kCPSNotifyLostKeyFocus	=	4096
-};
-
-typedef UInt32	CPSNotificationCodes;
-
-
-enum
-{
-	bfCPSLaunchInhibitDaemon	=	128,
-	bfCPSLaunchDontSwitch		=	512,
-	bfCPSLaunchNoProcAttr		=	2048,
-	bfCPSLaunchAsync		=	65536,
-	bfCPSLaunchStartClassic		=	131072,
-	bfCPSLaunchInClassic		=	262144,
-	bfCPSLaunchInstance		=	524288,
-	bfCPSLaunchAndHide		=	1048576,
-	bfCPSLaunchAndHideOthers	=	2097152
-};
-
-typedef UInt32	CPSLaunchOptions;
-
-
-typedef	UInt8	*CPSLaunchRefcon;
-
-
-typedef	UInt8	*CPSLaunchData;
-
-
-enum
-{
-	bfCPSExtLaunchWithData	=	2,
-	bfCPSExtLaunchByParent	=	4,
-	bfCPSExtLaunchAsUidGid	=	8
-};
-
-typedef UInt32	CPSLaunchPBFields;
-
-
-struct CPSLaunchPB
-{
-	CPSLaunchPBFields	Contents;
-	CPSLaunchData		pData;
-	UInt32			DataLen;
-	UInt32			DataTag;
-	UInt32			RefCon;
-	CPSProcessSerNum	Parent;
-	UInt32			ChildUID;
-	UInt32			ChildGID;
-};
-
-typedef struct CPSLaunchPB	CPSLaunchPB;
-
-
-enum
-{
-	bfCPSKillHard		=	1,
-	bfCPSKillAllClassicApps	=	2
-};
-
-typedef UInt32	CPSKillOptions;
-
-
-enum
-{
-	kCPSLaunchService	=	0,
-	kCPSKillService		=	1,
-	kCPSHideService		=	2,
-	kCPSShowService		=	3,
-	kCPSPrivService		=	4,
-	kCPSExtDeathNoteService	=	5
-};
-
-typedef UInt32	CPSServiceReqType;
-
-
-struct CPSLaunchRequest
-{
-	CPSProcessSerNum	TargetPSN;
-	CPSLaunchOptions 	Options;
-	CPSProcAttributes 	ProcAttributes;
-	UInt8			*pUTF8TargetPath;
-	UInt32			PathLen;
-};
-
-typedef struct CPSLaunchRequest	CPSLaunchRequest;
-
-
-struct CPSKillRequest
-{
-	CPSProcessSerNum	TargetPSN;
-	CPSKillOptions		Options;
-};
-
-typedef struct CPSKillRequest	CPSKillRequest;
-
-
-struct CPSHideRequest
-{
-	CPSProcessSerNum 	TargetPSN;
-};
-
-typedef struct CPSHideRequest	CPSHideRequest;
-
-
-struct CPSShowRequest
-{
-	CPSProcessSerNum 	TargetPSN;
-};
-
-typedef struct CPSShowRequest	CPSShowRequest;
-
-
-struct CPSExtDeathNotice
-{
-	CPSProcessSerNum 	DeadPSN;
-	UInt32			Flags;
-	UInt8			*pUTF8AppPath;
-	UInt32			PathLen;
-};
-
-typedef struct CPSExtDeathNotice	CPSExtDeathNotice;
-
-
-union CPSRequestDetails
-{
-	CPSLaunchRequest 	LaunchReq;
-	CPSKillRequest 		KillReq;
-	CPSHideRequest 		HideReq;
-	CPSShowRequest 		ShowReq;
-	CPSExtDeathNotice 	DeathNotice;
-};
-
-typedef union CPSRequestDetails	CPSRequestDetails;
-
-
-struct CPSServiceRequest
-{
-	CPSServiceReqType 	Type;
-	SInt32			ID;
-	CPSRequestDetails 	Details;
-};
-
-typedef struct CPSServiceRequest	CPSServiceRequest;
-
-
-enum
-{
-	kCPSProcessInterruptKey	=	0,
-	kCPSAppSwitchFwdKey	=	1,
-	kCPSAppSwitchBackKey	=	2,
-	kCPSSessionInterruptKey	=	3,
-	kCPSScreenSaverKey	=	4,
-	kCPSDiskEjectKey	=	5,
-	kCPSSpecialKeyCount	=	6
-};
-
-typedef SInt32	CPSSpecialKeyID;
-
-
-extern Boolean	CPSEqualProcess( CPSProcessSerNum *psn1, CPSProcessSerNum *psn2);
-
-extern OSErr	CPSGetCurrentProcess( CPSProcessSerNum *psn);
-
-extern OSErr	CPSGetFrontProcess( CPSProcessSerNum *psn);
-
-extern OSErr	CPSGetNextProcess( CPSProcessSerNum *psn);
-
-extern OSErr	CPSGetNextToFrontProcess( CPSProcessSerNum *psn);
-
-extern OSErr	CPSGetProcessInfo( CPSProcessSerNum *psn, CPSProcessInfoRec *info, char *path, int maxPathLen, int *len, char *name, int maxNameLen);
-
-extern OSErr	CPSPostHideMostReq( CPSProcessSerNum *psn);
-
-extern OSErr	CPSPostHideReq( CPSProcessSerNum *psn);
-
-extern OSErr	CPSPostKillRequest( CPSProcessSerNum *psn, CPSKillOptions options);
-
-extern OSErr	CPSPostShowAllReq( CPSProcessSerNum *psn);
-
-extern OSErr	CPSPostShowReq( CPSProcessSerNum *psn);
-
-extern OSErr	CPSSetFrontProcess( CPSProcessSerNum *psn);
-
-extern OSErr	CPSReleaseKeyFocus( CPSProcessSerNum *psn);
-
-extern OSErr	CPSStealKeyFocus( CPSProcessSerNum *psn);
-
-
-#if PRAGMA_STRUCT_ALIGN
-    #pragma options align=reset
-#elif PRAGMA_STRUCT_PACKPUSH
-    #pragma pack(pop)
-#elif PRAGMA_STRUCT_PACK
-    #pragma pack()
-#endif
-
-#ifdef __cplusplus
-}
-#endif
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 388)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 389)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E101AC960D6F5E4600AB607D</string>
+				<string>E101ACB30D6F6B1900AB607D</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>TestParser.m - SCM</string>
+				<string>APEMain.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,14 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E101AC970D6F5E4600AB607D</string>
+						<string>E101ACB40D6F6B1900AB607D</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>TestParser.m - SCM</string>
+						<string>APEMain.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E101AC9F0D6F5EAA00AB607D</string>
+						<string>E101AD980D6F795B00AB607D</string>
 						<key>history</key>
 						<array>
-							<string>E101AC980D6F5E4600AB607D</string>
+							<string>E101AD470D6F761800AB607D</string>
 						</array>
 					</dict>
@@ -230,9 +230,89 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {1668, 732}}</string>
+				<string>{{0, -1}, {855, 699}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>176 274 1668 752 0 0 1920 1178 </string>
+				<string>41 45 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACBD0D6F6B1900AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFBundle.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACBE0D6F6B1900AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFBundle.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9A0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD990D6F795B00AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {1000, 686}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>940 105 1000 706 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101AD7D0D6F789C00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ApplicationEnhancer.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101AD7E0D6F789C00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ApplicationEnhancer.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9B0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD7F0D6F789C00AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>268 223 855 719 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -255,5 +335,5 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E101ACA10D6F5EAA00AB607D</string>
+						<string>E101AD9C0D6F795B00AB607D</string>
 						<key>history</key>
 						<array>
@@ -277,4 +357,244 @@
 			</dict>
 		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACC50D6F6B1900AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>APEInfo.rtfd</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACC60D6F6B1900AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>APEInfo.rtfd</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9E0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACAD0D6F606600AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {754, 726}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>856 65 754 746 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101AD240D6F737A00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFBase.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101AD250D6F737A00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFBase.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101AD9F0D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD3C0D6F761000AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>938 113 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACB70D6F6B1900AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>LSInfo.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACB80D6F6B1900AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>LSInfo.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA00D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACB90D6F6B1900AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>885 301 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACD80D6F6E0C00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>MacTypes.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACD90D6F6E0C00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>MacTypes.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA10D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACDA0D6F6E0C00AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>553 147 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101ACF50D6F6FCA00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>Info-APE Module.plist</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101ACF60D6F6FCA00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>Info-APE Module.plist</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA20D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101ACEF0D6F6F7600AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {762, 661}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>1045 131 762 681 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E101AD2A0D6F737A00AB607D</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>CFNumber.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E101AD2B0D6F737A00AB607D</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>CFNumber.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E101ADA30D6F795B00AB607D</string>
+						<key>history</key>
+						<array>
+							<string>E101AD3A0D6F761000AB607D</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {855, 699}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>917 27 855 719 0 0 1920 1178 </string>
+			</dict>
+		</dict>
 	</array>
 	<key>PerspectiveWidths</key>
@@ -347,11 +667,11 @@
 									<array>
 										<array>
-											<integer>45</integer>
-											<integer>44</integer>
+											<integer>3</integer>
+											<integer>2</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 212}, {298, 621}}</string>
+									<string>{{0, 0}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -551,7 +871,4 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E101ACA30D6F5EAA00AB607D</string>
-		<string>E101AC280D6F56CC00AB607D</string>
-		<string>E101AA1C0D6F424B00AB607D</string>
 		<string>E101A9C40D6F3F0700AB607D</string>
 		<string>E101A80F0D6D68E800AB607D</string>
@@ -560,11 +877,19 @@
 		<string>1C530D5B069F1CE1000CFCEE</string>
 		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E101A7210D6D5CC800AB607D</string>
+		<string>E101AD2A0D6F737A00AB607D</string>
+		<string>E101ACF50D6F6FCA00AB607D</string>
+		<string>E101ACD80D6F6E0C00AB607D</string>
+		<string>E101ACB70D6F6B1900AB607D</string>
+		<string>E101AD240D6F737A00AB607D</string>
+		<string>E101ACC50D6F6B1900AB607D</string>
+		<string>E101AC520D6F5A7A00AB607D</string>
+		<string>E15464670D5EB85000C836EC</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E101AD7D0D6F789C00AB607D</string>
 		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E101A7210D6D5CC800AB607D</string>
-		<string>E101AC520D6F5A7A00AB607D</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>E15464670D5EB85000C836EC</string>
-		<string>E101AC960D6F5E4600AB607D</string>
-		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
+		<string>E101ACBD0D6F6B1900AB607D</string>
+		<string>E101ACB30D6F6B1900AB607D</string>
 	</array>
 	<key>WindowString</key>
@@ -944,5 +1269,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>&lt;No Editor&gt;</string>
+										<string>ICeCoffEE.h</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -1012,5 +1337,5 @@
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 388)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 389)
@@ -1675,4 +1675,158 @@
 			E101AC9F0D6F5EAA00AB607D /* PBXBookmark */ = E101AC9F0D6F5EAA00AB607D /* PBXBookmark */;
 			E101ACA10D6F5EAA00AB607D /* PBXBookmark */ = E101ACA10D6F5EAA00AB607D /* PBXBookmark */;
+			E101ACAD0D6F606600AB607D /* PBXBookmark */ = E101ACAD0D6F606600AB607D /* PBXBookmark */;
+			E101ACB50D6F6B1900AB607D /* PBXTextBookmark */ = E101ACB50D6F6B1900AB607D /* PBXTextBookmark */;
+			E101ACB60D6F6B1900AB607D /* PBXTextBookmark */ = E101ACB60D6F6B1900AB607D /* PBXTextBookmark */;
+			E101ACB90D6F6B1900AB607D /* PBXTextBookmark */ = E101ACB90D6F6B1900AB607D /* PBXTextBookmark */;
+			E101ACBB0D6F6B1900AB607D /* PBXTextBookmark */ = E101ACBB0D6F6B1900AB607D /* PBXTextBookmark */;
+			E101ACBF0D6F6B1900AB607D /* PBXTextBookmark */ = E101ACBF0D6F6B1900AB607D /* PBXTextBookmark */;
+			E101ACC10D6F6B1900AB607D /* PBXTextBookmark */ = E101ACC10D6F6B1900AB607D /* PBXTextBookmark */;
+			E101ACC30D6F6B1900AB607D /* PBXBookmark */ = E101ACC30D6F6B1900AB607D /* PBXBookmark */;
+			E101ACC70D6F6B1900AB607D /* PBXTextBookmark */ = E101ACC70D6F6B1900AB607D /* PBXTextBookmark */;
+			E101ACC90D6F6D2B00AB607D /* PBXTextBookmark */ = E101ACC90D6F6D2B00AB607D /* PBXTextBookmark */;
+			E101ACCA0D6F6D2B00AB607D /* PBXBookmark */ = E101ACCA0D6F6D2B00AB607D /* PBXBookmark */;
+			E101ACCC0D6F6D2B00AB607D /* PBXTextBookmark */ = E101ACCC0D6F6D2B00AB607D /* PBXTextBookmark */;
+			E101ACCD0D6F6D2B00AB607D /* PBXTextBookmark */ = E101ACCD0D6F6D2B00AB607D /* PBXTextBookmark */;
+			E101ACCE0D6F6D2B00AB607D /* PBXTextBookmark */ = E101ACCE0D6F6D2B00AB607D /* PBXTextBookmark */;
+			E101ACD10D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACD10D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACD40D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACD40D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACD60D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACD60D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACDA0D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACDA0D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACDC0D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACDC0D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACDE0D6F6E0C00AB607D /* PBXBookmark */ = E101ACDE0D6F6E0C00AB607D /* PBXBookmark */;
+			E101ACE00D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACE00D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACE10D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACE10D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACE20D6F6E0C00AB607D /* PBXTextBookmark */ = E101ACE20D6F6E0C00AB607D /* PBXTextBookmark */;
+			E101ACE60D6F6F5D00AB607D /* PBXTextBookmark */ = E101ACE60D6F6F5D00AB607D /* PBXTextBookmark */;
+			E101ACE70D6F6F5D00AB607D /* PBXTextBookmark */ = E101ACE70D6F6F5D00AB607D /* PBXTextBookmark */;
+			E101ACE80D6F6F5D00AB607D /* PBXTextBookmark */ = E101ACE80D6F6F5D00AB607D /* PBXTextBookmark */;
+			E101ACE90D6F6F5D00AB607D /* PBXBookmark */ = E101ACE90D6F6F5D00AB607D /* PBXBookmark */;
+			E101ACEB0D6F6F5D00AB607D /* PBXTextBookmark */ = E101ACEB0D6F6F5D00AB607D /* PBXTextBookmark */;
+			E101ACEC0D6F6F5D00AB607D /* PBXTextBookmark */ = E101ACEC0D6F6F5D00AB607D /* PBXTextBookmark */;
+			E101ACED0D6F6F5D00AB607D /* PBXTextBookmark */ = E101ACED0D6F6F5D00AB607D /* PBXTextBookmark */;
+			E101ACEF0D6F6F7600AB607D /* PBXBookmark */ = E101ACEF0D6F6F7600AB607D /* PBXBookmark */;
+			E101ACF30D6F6FCA00AB607D /* PBXTextBookmark */ = E101ACF30D6F6FCA00AB607D /* PBXTextBookmark */;
+			E101ACF40D6F6FCA00AB607D /* PBXTextBookmark */ = E101ACF40D6F6FCA00AB607D /* PBXTextBookmark */;
+			E101ACF70D6F6FCA00AB607D /* PBXTextBookmark */ = E101ACF70D6F6FCA00AB607D /* PBXTextBookmark */;
+			E101ACF80D6F6FCA00AB607D /* PBXTextBookmark */ = E101ACF80D6F6FCA00AB607D /* PBXTextBookmark */;
+			E101ACF90D6F6FCA00AB607D /* PBXBookmark */ = E101ACF90D6F6FCA00AB607D /* PBXBookmark */;
+			E101ACFB0D6F6FCA00AB607D /* PBXTextBookmark */ = E101ACFB0D6F6FCA00AB607D /* PBXTextBookmark */;
+			E101ACFC0D6F6FCA00AB607D /* PBXTextBookmark */ = E101ACFC0D6F6FCA00AB607D /* PBXTextBookmark */;
+			E101ACFD0D6F6FCA00AB607D /* PBXTextBookmark */ = E101ACFD0D6F6FCA00AB607D /* PBXTextBookmark */;
+			E101ACFF0D6F6FCF00AB607D /* PBXTextBookmark */ = E101ACFF0D6F6FCF00AB607D /* PBXTextBookmark */;
+			E101AD000D6F6FCF00AB607D /* PBXTextBookmark */ = E101AD000D6F6FCF00AB607D /* PBXTextBookmark */;
+			E101AD010D6F6FCF00AB607D /* PBXTextBookmark */ = E101AD010D6F6FCF00AB607D /* PBXTextBookmark */;
+			E101AD020D6F6FCF00AB607D /* PBXBookmark */ = E101AD020D6F6FCF00AB607D /* PBXBookmark */;
+			E101AD040D6F6FCF00AB607D /* PBXTextBookmark */ = E101AD040D6F6FCF00AB607D /* PBXTextBookmark */;
+			E101AD050D6F6FCF00AB607D /* PBXTextBookmark */ = E101AD050D6F6FCF00AB607D /* PBXTextBookmark */;
+			E101AD060D6F6FCF00AB607D /* PBXTextBookmark */ = E101AD060D6F6FCF00AB607D /* PBXTextBookmark */;
+			E101AD070D6F6FE500AB607D /* PBXTextBookmark */ = E101AD070D6F6FE500AB607D /* PBXTextBookmark */;
+			E101AD080D6F6FE500AB607D /* PBXTextBookmark */ = E101AD080D6F6FE500AB607D /* PBXTextBookmark */;
+			E101AD090D6F6FE500AB607D /* PBXTextBookmark */ = E101AD090D6F6FE500AB607D /* PBXTextBookmark */;
+			E101AD0A0D6F6FE500AB607D /* PBXBookmark */ = E101AD0A0D6F6FE500AB607D /* PBXBookmark */;
+			E101AD0C0D6F6FE500AB607D /* PBXTextBookmark */ = E101AD0C0D6F6FE500AB607D /* PBXTextBookmark */;
+			E101AD0D0D6F6FE500AB607D /* PBXTextBookmark */ = E101AD0D0D6F6FE500AB607D /* PBXTextBookmark */;
+			E101AD0E0D6F6FE500AB607D /* PBXTextBookmark */ = E101AD0E0D6F6FE500AB607D /* PBXTextBookmark */;
+			E101AD1A0D6F72AF00AB607D /* PBXTextBookmark */ = E101AD1A0D6F72AF00AB607D /* PBXTextBookmark */;
+			E101AD1B0D6F72AF00AB607D /* PBXTextBookmark */ = E101AD1B0D6F72AF00AB607D /* PBXTextBookmark */;
+			E101AD1C0D6F72AF00AB607D /* PBXTextBookmark */ = E101AD1C0D6F72AF00AB607D /* PBXTextBookmark */;
+			E101AD1D0D6F72AF00AB607D /* PBXTextBookmark */ = E101AD1D0D6F72AF00AB607D /* PBXTextBookmark */;
+			E101AD1E0D6F72AF00AB607D /* PBXTextBookmark */ = E101AD1E0D6F72AF00AB607D /* PBXTextBookmark */;
+			E101AD1F0D6F72AF00AB607D /* PBXBookmark */ = E101AD1F0D6F72AF00AB607D /* PBXBookmark */;
+			E101AD210D6F72AF00AB607D /* PBXTextBookmark */ = E101AD210D6F72AF00AB607D /* PBXTextBookmark */;
+			E101AD220D6F72AF00AB607D /* PBXTextBookmark */ = E101AD220D6F72AF00AB607D /* PBXTextBookmark */;
+			E101AD230D6F737A00AB607D /* PBXTextBookmark */ = E101AD230D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD260D6F737A00AB607D /* PBXTextBookmark */ = E101AD260D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD280D6F737A00AB607D /* PBXTextBookmark */ = E101AD280D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD2C0D6F737A00AB607D /* PBXTextBookmark */ = E101AD2C0D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD2E0D6F737A00AB607D /* PBXTextBookmark */ = E101AD2E0D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD300D6F737A00AB607D /* PBXTextBookmark */ = E101AD300D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD310D6F737A00AB607D /* PBXTextBookmark */ = E101AD310D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD320D6F737A00AB607D /* PBXTextBookmark */ = E101AD320D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD330D6F737A00AB607D /* PBXBookmark */ = E101AD330D6F737A00AB607D /* PBXBookmark */;
+			E101AD350D6F737A00AB607D /* PBXTextBookmark */ = E101AD350D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD360D6F737A00AB607D /* PBXTextBookmark */ = E101AD360D6F737A00AB607D /* PBXTextBookmark */;
+			E101AD380D6F748F00AB607D /* PBXTextBookmark */ = E101AD380D6F748F00AB607D /* PBXTextBookmark */;
+			E101AD390D6F761000AB607D /* PBXTextBookmark */ = E101AD390D6F761000AB607D /* PBXTextBookmark */;
+			E101AD3A0D6F761000AB607D /* PBXTextBookmark */ = E101AD3A0D6F761000AB607D /* PBXTextBookmark */;
+			E101AD3B0D6F761000AB607D /* PBXTextBookmark */ = E101AD3B0D6F761000AB607D /* PBXTextBookmark */;
+			E101AD3C0D6F761000AB607D /* PBXTextBookmark */ = E101AD3C0D6F761000AB607D /* PBXTextBookmark */;
+			E101AD3D0D6F761000AB607D /* PBXTextBookmark */ = E101AD3D0D6F761000AB607D /* PBXTextBookmark */;
+			E101AD3E0D6F761000AB607D /* PBXTextBookmark */ = E101AD3E0D6F761000AB607D /* PBXTextBookmark */;
+			E101AD3F0D6F761000AB607D /* PBXTextBookmark */ = E101AD3F0D6F761000AB607D /* PBXTextBookmark */;
+			E101AD400D6F761000AB607D /* PBXTextBookmark */ = E101AD400D6F761000AB607D /* PBXTextBookmark */;
+			E101AD410D6F761000AB607D /* PBXTextBookmark */ = E101AD410D6F761000AB607D /* PBXTextBookmark */;
+			E101AD420D6F761000AB607D /* PBXBookmark */ = E101AD420D6F761000AB607D /* PBXBookmark */;
+			E101AD440D6F761000AB607D /* PBXTextBookmark */ = E101AD440D6F761000AB607D /* PBXTextBookmark */;
+			E101AD450D6F761000AB607D /* PBXTextBookmark */ = E101AD450D6F761000AB607D /* PBXTextBookmark */;
+			E101AD470D6F761800AB607D /* PBXTextBookmark */ = E101AD470D6F761800AB607D /* PBXTextBookmark */;
+			E101AD4A0D6F763A00AB607D /* PBXTextBookmark */ = E101AD4A0D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD4B0D6F763A00AB607D /* PBXTextBookmark */ = E101AD4B0D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD4C0D6F763A00AB607D /* PBXTextBookmark */ = E101AD4C0D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD4D0D6F763A00AB607D /* PBXTextBookmark */ = E101AD4D0D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD4E0D6F763A00AB607D /* PBXTextBookmark */ = E101AD4E0D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD4F0D6F763A00AB607D /* PBXTextBookmark */ = E101AD4F0D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD500D6F763A00AB607D /* PBXBookmark */ = E101AD500D6F763A00AB607D /* PBXBookmark */;
+			E101AD520D6F763A00AB607D /* PBXTextBookmark */ = E101AD520D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD530D6F763A00AB607D /* PBXTextBookmark */ = E101AD530D6F763A00AB607D /* PBXTextBookmark */;
+			E101AD540D6F76A300AB607D /* PBXTextBookmark */ = E101AD540D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD550D6F76A300AB607D /* PBXTextBookmark */ = E101AD550D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD560D6F76A300AB607D /* PBXTextBookmark */ = E101AD560D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD570D6F76A300AB607D /* PBXTextBookmark */ = E101AD570D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD580D6F76A300AB607D /* PBXTextBookmark */ = E101AD580D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD590D6F76A300AB607D /* PBXTextBookmark */ = E101AD590D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD5A0D6F76A300AB607D /* PBXBookmark */ = E101AD5A0D6F76A300AB607D /* PBXBookmark */;
+			E101AD5C0D6F76A300AB607D /* PBXTextBookmark */ = E101AD5C0D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD5D0D6F76A300AB607D /* PBXTextBookmark */ = E101AD5D0D6F76A300AB607D /* PBXTextBookmark */;
+			E101AD5E0D6F76DC00AB607D /* PBXTextBookmark */ = E101AD5E0D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD5F0D6F76DC00AB607D /* PBXTextBookmark */ = E101AD5F0D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD600D6F76DC00AB607D /* PBXTextBookmark */ = E101AD600D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD610D6F76DC00AB607D /* PBXTextBookmark */ = E101AD610D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD620D6F76DC00AB607D /* PBXTextBookmark */ = E101AD620D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD630D6F76DC00AB607D /* PBXTextBookmark */ = E101AD630D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD640D6F76DC00AB607D /* PBXBookmark */ = E101AD640D6F76DC00AB607D /* PBXBookmark */;
+			E101AD660D6F76DC00AB607D /* PBXTextBookmark */ = E101AD660D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD670D6F76DC00AB607D /* PBXTextBookmark */ = E101AD670D6F76DC00AB607D /* PBXTextBookmark */;
+			E101AD710D6F771C00AB607D /* PBXTextBookmark */ = E101AD710D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD720D6F771C00AB607D /* PBXTextBookmark */ = E101AD720D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD730D6F771C00AB607D /* PBXTextBookmark */ = E101AD730D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD740D6F771C00AB607D /* PBXTextBookmark */ = E101AD740D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD750D6F771C00AB607D /* PBXTextBookmark */ = E101AD750D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD760D6F771C00AB607D /* PBXTextBookmark */ = E101AD760D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD770D6F771C00AB607D /* PBXBookmark */ = E101AD770D6F771C00AB607D /* PBXBookmark */;
+			E101AD790D6F771C00AB607D /* PBXTextBookmark */ = E101AD790D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD7A0D6F771C00AB607D /* PBXTextBookmark */ = E101AD7A0D6F771C00AB607D /* PBXTextBookmark */;
+			E101AD7C0D6F789C00AB607D /* PBXTextBookmark */ = E101AD7C0D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD7F0D6F789C00AB607D /* PBXTextBookmark */ = E101AD7F0D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD810D6F789C00AB607D /* PBXTextBookmark */ = E101AD810D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD830D6F789C00AB607D /* PBXBookmark */ = E101AD830D6F789C00AB607D /* PBXBookmark */;
+			E101AD850D6F789C00AB607D /* PBXTextBookmark */ = E101AD850D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD860D6F789C00AB607D /* PBXTextBookmark */ = E101AD860D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD870D6F789C00AB607D /* PBXTextBookmark */ = E101AD870D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD880D6F789C00AB607D /* PBXTextBookmark */ = E101AD880D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD890D6F789C00AB607D /* PBXTextBookmark */ = E101AD890D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD8A0D6F789C00AB607D /* PBXTextBookmark */ = E101AD8A0D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD8B0D6F789C00AB607D /* PBXTextBookmark */ = E101AD8B0D6F789C00AB607D /* PBXTextBookmark */;
+			E101AD8D0D6F78B700AB607D /* PBXTextBookmark */ = E101AD8D0D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD8E0D6F78B700AB607D /* PBXTextBookmark */ = E101AD8E0D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD8F0D6F78B700AB607D /* PBXBookmark */ = E101AD8F0D6F78B700AB607D /* PBXBookmark */;
+			E101AD910D6F78B700AB607D /* PBXTextBookmark */ = E101AD910D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD920D6F78B700AB607D /* PBXTextBookmark */ = E101AD920D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD930D6F78B700AB607D /* PBXTextBookmark */ = E101AD930D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD940D6F78B700AB607D /* PBXTextBookmark */ = E101AD940D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD950D6F78B700AB607D /* PBXTextBookmark */ = E101AD950D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD960D6F78B700AB607D /* PBXTextBookmark */ = E101AD960D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD970D6F78B700AB607D /* PBXTextBookmark */ = E101AD970D6F78B700AB607D /* PBXTextBookmark */;
+			E101AD980D6F795B00AB607D /* PBXTextBookmark */ = E101AD980D6F795B00AB607D /* PBXTextBookmark */;
+			E101AD990D6F795B00AB607D /* PBXTextBookmark */ = E101AD990D6F795B00AB607D /* PBXTextBookmark */;
+			E101AD9A0D6F795B00AB607D /* PBXTextBookmark */ = E101AD9A0D6F795B00AB607D /* PBXTextBookmark */;
+			E101AD9B0D6F795B00AB607D /* PBXTextBookmark */ = E101AD9B0D6F795B00AB607D /* PBXTextBookmark */;
+			E101AD9C0D6F795B00AB607D /* PBXBookmark */ = E101AD9C0D6F795B00AB607D /* PBXBookmark */;
+			E101AD9E0D6F795B00AB607D /* PBXTextBookmark */ = E101AD9E0D6F795B00AB607D /* PBXTextBookmark */;
+			E101AD9F0D6F795B00AB607D /* PBXTextBookmark */ = E101AD9F0D6F795B00AB607D /* PBXTextBookmark */;
+			E101ADA00D6F795B00AB607D /* PBXTextBookmark */ = E101ADA00D6F795B00AB607D /* PBXTextBookmark */;
+			E101ADA10D6F795B00AB607D /* PBXTextBookmark */ = E101ADA10D6F795B00AB607D /* PBXTextBookmark */;
+			E101ADA20D6F795B00AB607D /* PBXTextBookmark */ = E101ADA20D6F795B00AB607D /* PBXTextBookmark */;
+			E101ADA30D6F795B00AB607D /* PBXTextBookmark */ = E101ADA30D6F795B00AB607D /* PBXTextBookmark */;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9 /* Source Control */;
@@ -1702,5 +1856,5 @@
 		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
 		rLen = 1;
-		rLoc = 136;
+		rLoc = 138;
 		rType = 1;
 	};
@@ -1710,5 +1864,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -1853,5 +2007,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -2073,5 +2227,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -2223,5 +2377,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2253,5 +2407,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2303,5 +2457,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2353,5 +2507,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2383,5 +2537,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2453,5 +2607,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2503,5 +2657,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2553,5 +2707,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2744,5 +2898,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -2838,5 +2992,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -2888,5 +3042,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -2928,5 +3082,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -2968,5 +3122,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3008,5 +3162,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3048,5 +3202,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3138,5 +3292,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2708;
@@ -3246,5 +3400,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3286,5 +3440,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3340,5 +3494,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3390,5 +3544,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3430,5 +3584,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3470,5 +3624,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3510,5 +3664,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3560,5 +3714,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3600,5 +3754,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3640,5 +3794,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3680,5 +3834,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3720,5 +3874,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3760,5 +3914,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3800,5 +3954,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3840,5 +3994,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3880,5 +4034,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3920,5 +4074,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -3960,5 +4114,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4020,5 +4174,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4080,5 +4234,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4140,5 +4294,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4250,5 +4404,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4316,5 +4470,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4366,5 +4520,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4416,5 +4570,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4466,5 +4620,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4516,5 +4670,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4603,5 +4757,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4728,5 +4882,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4848,5 +5002,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -4928,5 +5082,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -5008,5 +5162,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -5088,5 +5242,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -5192,5 +5346,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -5202,5 +5356,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5408;
+		rLoc = 5484;
 		rType = 0;
 		vrLen = 2609;
@@ -5212,5 +5366,5 @@
 		name = "APEMain.m: 136";
 		rLen = 0;
-		rLoc = 5288;
+		rLoc = 5364;
 		rType = 0;
 		vrLen = 2513;
@@ -6596,5 +6750,5 @@
 		rLoc = 1153;
 		rType = 0;
-		vrLen = 2041;
+		vrLen = 2038;
 		vrLoc = 0;
 	};
@@ -6686,5 +6840,5 @@
 		rLoc = 1179;
 		rType = 0;
-		vrLen = 2041;
+		vrLen = 2038;
 		vrLoc = 0;
 	};
@@ -6696,5 +6850,5 @@
 		rLoc = 2038;
 		rType = 0;
-		vrLen = 2041;
+		vrLen = 2038;
 		vrLoc = 0;
 	};
@@ -6716,5 +6870,5 @@
 		rLoc = 2038;
 		rType = 0;
-		vrLen = 2041;
+		vrLen = 2038;
 		vrLoc = 0;
 	};
@@ -6736,5 +6890,5 @@
 		rLoc = 1179;
 		rType = 0;
-		vrLen = 2041;
+		vrLen = 2038;
 		vrLoc = 0;
 	};
@@ -6824,5 +6978,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -7215,5 +7369,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -7405,5 +7559,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -7637,5 +7791,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -7772,5 +7926,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -7862,5 +8016,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -7949,5 +8103,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8029,5 +8183,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8258,5 +8412,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8368,5 +8522,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8478,5 +8632,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8588,5 +8742,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8708,5 +8862,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8822,5 +8976,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -8942,5 +9096,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -9072,5 +9226,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -9224,5 +9378,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -9364,5 +9518,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -9484,5 +9638,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -9604,5 +9758,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -9748,5 +9902,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -9886,5 +10040,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -10006,5 +10160,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -10126,5 +10280,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -10263,5 +10417,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -10383,5 +10537,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 2083;
@@ -10524,5 +10678,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 1963;
@@ -10661,5 +10815,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 1963;
@@ -10801,5 +10955,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 1963;
@@ -10951,5 +11105,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 1963;
@@ -11085,5 +11239,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 1963;
@@ -11222,5 +11376,5 @@
 		name = "APEMain.m: 87";
 		rLen = 0;
-		rLoc = 3028;
+		rLoc = 4017;
 		rType = 0;
 		vrLen = 1963;
@@ -11411,4 +11565,1611 @@
 		path = "APEMain.m - SCM";
 		sourceTree = "<group>";
+	};
+	E101ACAD0D6F606600AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "APEInfo.rtfd (English)";
+	};
+	E101ACB50D6F6B1900AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 83";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2113;
+		vrLoc = 2091;
+	};
+	E101ACB60D6F6B1900AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 87";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2390;
+		vrLoc = 1574;
+	};
+	E101ACB90D6F6B1900AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBA0D6F6B1900AB607D /* LSInfo.h */;
+		rLen = 1;
+		rLoc = 875;
+		rType = 1;
+	};
+	E101ACBA0D6F6B1900AB607D /* LSInfo.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = LSInfo.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Headers/LSInfo.h;
+		sourceTree = "<absolute>";
+	};
+	E101ACBB0D6F6B1900AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101ACBC0D6F6B1900AB607D /* LSInfo.h */ = {
+		isa = PBXFileReference;
+		name = LSInfo.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/Headers/LSInfo.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {796, 16172}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRange = "{0, 2590}";
+		};
+	};
+	E101ACBF0D6F6B1900AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC00D6F6B1900AB607D /* CFBundle.h */;
+		rLen = 1;
+		rLoc = 48;
+		rType = 1;
+	};
+	E101ACC00D6F6B1900AB607D /* CFBundle.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFBundle.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFBundle.h;
+		sourceTree = "<absolute>";
+	};
+	E101ACC10D6F6B1900AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101ACC20D6F6B1900AB607D /* CFBundle.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFBundle.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFBundle.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {941, 3267}}";
+			sepNavSelRange = "{1079, 0}";
+			sepNavVisRange = "{1396, 2423}";
+		};
+	};
+	E101ACC30D6F6B1900AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101ACC40D6F6B1900AB607D /* APEMain.m - SCM */;
+	};
+	E101ACC40D6F6B1900AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101ACC70D6F6B1900AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101ACC90D6F6D2B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 87";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2314;
+		vrLoc = 1690;
+	};
+	E101ACCA0D6F6D2B00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101ACCB0D6F6D2B00AB607D /* APEMain.m - SCM */;
+	};
+	E101ACCB0D6F6D2B00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101ACCC0D6F6D2B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101ACCD0D6F6D2B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101ACCE0D6F6D2B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101ACD10D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 91";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2341;
+		vrLoc = 1690;
+	};
+	E101ACD40D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACD50D6F6E0C00AB607D /* Processes.h */;
+		rLen = 1;
+		rLoc = 142;
+		rType = 1;
+	};
+	E101ACD50D6F6E0C00AB607D /* Processes.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = Processes.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/Headers/Processes.h;
+		sourceTree = "<absolute>";
+	};
+	E101ACD60D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACD70D6F6E0C00AB607D /* Processes.h */;
+		name = "Processes.h: 147";
+		rLen = 0;
+		rLoc = 5181;
+		rType = 0;
+		vrLen = 2915;
+		vrLoc = 4546;
+	};
+	E101ACD70D6F6E0C00AB607D /* Processes.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = Processes.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/Headers/Processes.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {796, 9911}}";
+			sepNavSelRange = "{27944, 17}";
+			sepNavVisRange = "{27073, 1913}";
+			sepNavWindowFrame = "{{971, 341}, {855, 719}}";
+		};
+	};
+	E101ACDA0D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDB0D6F6E0C00AB607D /* MacTypes.h */;
+		rLen = 1;
+		rLoc = 462;
+		rType = 1;
+	};
+	E101ACDB0D6F6E0C00AB607D /* MacTypes.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = MacTypes.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/MacTypes.h;
+		sourceTree = "<absolute>";
+	};
+	E101ACDC0D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101ACDD0D6F6E0C00AB607D /* MacTypes.h */ = {
+		isa = PBXFileReference;
+		name = MacTypes.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers/MacTypes.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavFolds = "{\n    c =     (\n                {\n            r = \"{17083, 404}\";\n        }\n    );\n    r = \"{0, 29620}\";\n}";
+			sepNavIntBoundsRect = "{{0, 0}, {796, 7888}}";
+			sepNavSelRange = "{18831, 19}";
+			sepNavVisRange = "{15420, 2954}";
+		};
+	};
+	E101ACDE0D6F6E0C00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101ACDF0D6F6E0C00AB607D /* APEMain.m - SCM */;
+	};
+	E101ACDF0D6F6E0C00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101ACE00D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101ACE10D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101ACE20D6F6E0C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101ACE60D6F6F5D00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 91";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2341;
+		vrLoc = 1690;
+	};
+	E101ACE70D6F6F5D00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 93";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2431;
+		vrLoc = 1690;
+	};
+	E101ACE80D6F6F5D00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101ACE90D6F6F5D00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101ACEA0D6F6F5D00AB607D /* APEMain.m - SCM */;
+	};
+	E101ACEA0D6F6F5D00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101ACEB0D6F6F5D00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101ACEC0D6F6F5D00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101ACED0D6F6F5D00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101ACEF0D6F6F7600AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+	};
+	E101ACF30D6F6FCA00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 93";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2431;
+		vrLoc = 1690;
+	};
+	E101ACF40D6F6FCA00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 93";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2398;
+		vrLoc = 2012;
+	};
+	E101ACF70D6F6FCA00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101ACF80D6F6FCA00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101ACF90D6F6FCA00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101ACFA0D6F6FCA00AB607D /* APEMain.m - SCM */;
+	};
+	E101ACFA0D6F6FCA00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101ACFB0D6F6FCA00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101ACFC0D6F6FCA00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101ACFD0D6F6FCA00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101ACFF0D6F6FCF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 99";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2398;
+		vrLoc = 2012;
+	};
+	E101AD000D6F6FCF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD010D6F6FCF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101AD020D6F6FCF00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD030D6F6FCF00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD030D6F6FCF00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD040D6F6FCF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101AD050D6F6FCF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101AD060D6F6FCF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101AD070D6F6FE500AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 99";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2398;
+		vrLoc = 2012;
+	};
+	E101AD080D6F6FE500AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD090D6F6FE500AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101AD0A0D6F6FE500AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD0B0D6F6FE500AB607D /* APEMain.m - SCM */;
+	};
+	E101AD0B0D6F6FE500AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD0C0D6F6FE500AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101AD0D0D6F6FE500AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101AD0E0D6F6FE500AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101AD1A0D6F72AF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2450;
+		vrLoc = 0;
+	};
+	E101AD1B0D6F72AF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 89";
+		rLen = 8;
+		rLoc = 3514;
+		rType = 0;
+		vrLen = 1967;
+		vrLoc = 2449;
+	};
+	E101AD1C0D6F72AF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 89";
+		rLen = 0;
+		rLoc = 3675;
+		rType = 0;
+		vrLen = 2622;
+		vrLoc = 2012;
+	};
+	E101AD1D0D6F72AF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD1E0D6F72AF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101AD1F0D6F72AF00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD200D6F72AF00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD200D6F72AF00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD210D6F72AF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101AD220D6F72AF00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101AD230D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 90";
+		rLen = 0;
+		rLoc = 4017;
+		rType = 0;
+		vrLen = 2627;
+		vrLoc = 2012;
+	};
+	E101AD260D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD270D6F737A00AB607D /* CFBase.h */;
+		rLen = 1;
+		rLoc = 175;
+		rType = 1;
+	};
+	E101AD270D6F737A00AB607D /* CFBase.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFBase.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFBase.h;
+		sourceTree = "<absolute>";
+	};
+	E101AD280D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 174";
+		rLen = 17;
+		rLoc = 4899;
+		rType = 0;
+		vrLen = 1578;
+		vrLoc = 3995;
+	};
+	E101AD290D6F737A00AB607D /* CFBase.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFBase.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFBase.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {796, 3960}}";
+			sepNavSelRange = "{10778, 8}";
+			sepNavVisRange = "{10028, 1376}";
+		};
+	};
+	E101AD2C0D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2D0D6F737A00AB607D /* CFNumber.h */;
+		rLen = 0;
+		rLoc = 2147483647;
+		rType = 0;
+	};
+	E101AD2D0D6F737A00AB607D /* CFNumber.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFNumber.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFNumber.h;
+		sourceTree = "<absolute>";
+	};
+	E101AD2E0D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 117";
+		rLen = 18;
+		rLoc = 3459;
+		rType = 0;
+		vrLen = 2201;
+		vrLoc = 1434;
+	};
+	E101AD2F0D6F737A00AB607D /* CFNumber.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = CFNumber.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFNumber.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {796, 1485}}";
+			sepNavSelRange = "{1158, 0}";
+			sepNavVisRange = "{14, 1420}";
+		};
+	};
+	E101AD300D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 84";
+		rLen = 36;
+		rLoc = 3245;
+		rType = 0;
+		vrLen = 2208;
+		vrLoc = 2835;
+	};
+	E101AD310D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD320D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101AD330D6F737A00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD340D6F737A00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD340D6F737A00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD350D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101AD360D6F737A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101AD380D6F748F00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "warning: passing argument 2 of 'CFNumberCompare' from incompatible pointer type";
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		rLen = 0;
+		rLoc = 83;
+		rType = 1;
+	};
+	E101AD390D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 71";
+		rLen = 632;
+		rLoc = 2337;
+		rType = 0;
+		vrLen = 2558;
+		vrLoc = 1526;
+	};
+	E101AD3A0D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		rLen = 1;
+		rLoc = 57;
+		rType = 1;
+	};
+	E101AD3B0D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1549;
+		vrLoc = 14;
+	};
+	E101AD3C0D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		rLen = 1;
+		rLoc = 345;
+		rType = 1;
+	};
+	E101AD3D0D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1377;
+		vrLoc = 10028;
+	};
+	E101AD3E0D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		rLen = 1;
+		rLoc = 83;
+		rType = 1;
+	};
+	E101AD3F0D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 189";
+		rLen = 0;
+		rLoc = 7852;
+		rType = 0;
+		vrLen = 3175;
+		vrLoc = 7716;
+	};
+	E101AD400D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD410D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3388;
+		vrLoc = 15420;
+	};
+	E101AD420D6F761000AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD430D6F761000AB607D /* APEMain.m - SCM */;
+	};
+	E101AD430D6F761000AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD440D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2324;
+		vrLoc = 7359;
+	};
+	E101AD450D6F761000AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2768;
+		vrLoc = 0;
+	};
+	E101AD470D6F761800AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "error: initializer element is not constant";
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		rLen = 1;
+		rLoc = 77;
+		rType = 1;
+	};
+	E101AD4A0D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 79";
+		rLen = 0;
+		rLoc = 2643;
+		rType = 0;
+		vrLen = 2412;
+		vrLoc = 2093;
+	};
+	E101AD4B0D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1420;
+		vrLoc = 14;
+	};
+	E101AD4C0D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1376;
+		vrLoc = 10028;
+	};
+	E101AD4D0D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 189";
+		rLen = 0;
+		rLoc = 7852;
+		rType = 0;
+		vrLen = 3164;
+		vrLoc = 7716;
+	};
+	E101AD4E0D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD4F0D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3357;
+		vrLoc = 15420;
+	};
+	E101AD500D6F763A00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD510D6F763A00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD510D6F763A00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD520D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2323;
+		vrLoc = 7359;
+	};
+	E101AD530D6F763A00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2590;
+		vrLoc = 0;
+	};
+	E101AD540D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 83";
+		rLen = 0;
+		rLoc = 2924;
+		rType = 0;
+		vrLen = 2433;
+		vrLoc = 2093;
+	};
+	E101AD550D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1420;
+		vrLoc = 14;
+	};
+	E101AD560D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1376;
+		vrLoc = 10028;
+	};
+	E101AD570D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 189";
+		rLen = 0;
+		rLoc = 7852;
+		rType = 0;
+		vrLen = 3164;
+		vrLoc = 7716;
+	};
+	E101AD580D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD590D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3357;
+		vrLoc = 15420;
+	};
+	E101AD5A0D6F76A300AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD5B0D6F76A300AB607D /* APEMain.m - SCM */;
+	};
+	E101AD5B0D6F76A300AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD5C0D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2323;
+		vrLoc = 7359;
+	};
+	E101AD5D0D6F76A300AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2590;
+		vrLoc = 0;
+	};
+	E101AD5E0D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1420;
+		vrLoc = 14;
+	};
+	E101AD5F0D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 83";
+		rLen = 0;
+		rLoc = 2924;
+		rType = 0;
+		vrLen = 2433;
+		vrLoc = 2093;
+	};
+	E101AD600D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1376;
+		vrLoc = 10028;
+	};
+	E101AD610D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 189";
+		rLen = 0;
+		rLoc = 7852;
+		rType = 0;
+		vrLen = 3164;
+		vrLoc = 7716;
+	};
+	E101AD620D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD630D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3357;
+		vrLoc = 15420;
+	};
+	E101AD640D6F76DC00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD650D6F76DC00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD650D6F76DC00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD660D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2323;
+		vrLoc = 7359;
+	};
+	E101AD670D6F76DC00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2590;
+		vrLoc = 0;
+	};
+	E101AD710D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 19";
+		rLen = 0;
+		rLoc = 526;
+		rType = 0;
+		vrLen = 2500;
+		vrLoc = 1509;
+	};
+	E101AD720D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1420;
+		vrLoc = 14;
+	};
+	E101AD730D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1376;
+		vrLoc = 10028;
+	};
+	E101AD740D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 189";
+		rLen = 0;
+		rLoc = 7852;
+		rType = 0;
+		vrLen = 3164;
+		vrLoc = 7716;
+	};
+	E101AD750D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 15";
+		rLen = 0;
+		rLoc = 356;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E101AD760D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3357;
+		vrLoc = 15420;
+	};
+	E101AD770D6F771C00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD780D6F771C00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD780D6F771C00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD790D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2323;
+		vrLoc = 7359;
+	};
+	E101AD7A0D6F771C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2590;
+		vrLoc = 0;
+	};
+	E101AD7C0D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 123";
+		rLen = 11;
+		rLoc = 4450;
+		rType = 0;
+		vrLen = 2986;
+		vrLoc = 2961;
+	};
+	E101AD7F0D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD800D6F789C00AB607D /* ApplicationEnhancer.h */;
+		rLen = 1;
+		rLoc = 53;
+		rType = 1;
+	};
+	E101AD800D6F789C00AB607D /* ApplicationEnhancer.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = ApplicationEnhancer.h;
+		path = /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/Headers/ApplicationEnhancer.h;
+		sourceTree = "<absolute>";
+	};
+	E101AD810D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD820D6F789C00AB607D /* ApplicationEnhancer.h */;
+		name = "ApplicationEnhancer.h: 53";
+		rLen = 0;
+		rLoc = 1733;
+		rType = 0;
+		vrLen = 2049;
+		vrLoc = 0;
+	};
+	E101AD820D6F789C00AB607D /* ApplicationEnhancer.h */ = {
+		isa = PBXFileReference;
+		name = ApplicationEnhancer.h;
+		path = /Library/Frameworks/ApplicationEnhancer.framework/Versions/A/Headers/ApplicationEnhancer.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {796, 1192}}";
+			sepNavSelRange = "{1733, 0}";
+			sepNavVisRange = "{0, 2049}";
+		};
+	};
+	E101AD830D6F789C00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD840D6F789C00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD840D6F789C00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD850D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2323;
+		vrLoc = 7359;
+	};
+	E101AD860D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1376;
+		vrLoc = 10028;
+	};
+	E101AD870D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 189";
+		rLen = 0;
+		rLoc = 7852;
+		rType = 0;
+		vrLen = 3164;
+		vrLoc = 7716;
+	};
+	E101AD880D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2590;
+		vrLoc = 0;
+	};
+	E101AD890D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3357;
+		vrLoc = 15420;
+	};
+	E101AD8A0D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 44";
+		rLen = 0;
+		rLoc = 1368;
+		rType = 0;
+		vrLen = 1368;
+		vrLoc = 0;
+	};
+	E101AD8B0D6F789C00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1420;
+		vrLoc = 14;
+	};
+	E101AD8D0D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 105";
+		rLen = 0;
+		rLoc = 3726;
+		rType = 0;
+		vrLen = 2986;
+		vrLoc = 2961;
+	};
+	E101AD8E0D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD820D6F789C00AB607D /* ApplicationEnhancer.h */;
+		name = "ApplicationEnhancer.h: 53";
+		rLen = 0;
+		rLoc = 1733;
+		rType = 0;
+		vrLen = 2049;
+		vrLoc = 0;
+	};
+	E101AD8F0D6F78B700AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD900D6F78B700AB607D /* APEMain.m - SCM */;
+	};
+	E101AD900D6F78B700AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD910D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2323;
+		vrLoc = 7359;
+	};
+	E101AD920D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1376;
+		vrLoc = 10028;
+	};
+	E101AD930D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 189";
+		rLen = 0;
+		rLoc = 7852;
+		rType = 0;
+		vrLen = 3164;
+		vrLoc = 7716;
+	};
+	E101AD940D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2590;
+		vrLoc = 0;
+	};
+	E101AD950D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3357;
+		vrLoc = 15420;
+	};
+	E101AD960D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 44";
+		rLen = 0;
+		rLoc = 1368;
+		rType = 0;
+		vrLen = 1368;
+		vrLoc = 0;
+	};
+	E101AD970D6F78B700AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1420;
+		vrLoc = 14;
+	};
+	E101AD980D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: 67";
+		rLen = 0;
+		rLoc = 2296;
+		rType = 0;
+		vrLen = 2358;
+		vrLoc = 2053;
+	};
+	E101AD990D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		rLen = 1;
+		rLoc = 103;
+		rType = 1;
+	};
+	E101AD9A0D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACC20D6F6B1900AB607D /* CFBundle.h */;
+		name = "CFBundle.h: 33";
+		rLen = 0;
+		rLoc = 1079;
+		rType = 0;
+		vrLen = 2423;
+		vrLoc = 1396;
+	};
+	E101AD9B0D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD820D6F789C00AB607D /* ApplicationEnhancer.h */;
+		name = "ApplicationEnhancer.h: 53";
+		rLen = 0;
+		rLoc = 1733;
+		rType = 0;
+		vrLen = 2049;
+		vrLoc = 0;
+	};
+	E101AD9C0D6F795B00AB607D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E101AD9D0D6F795B00AB607D /* APEMain.m - SCM */;
+	};
+	E101AD9D0D6F795B00AB607D /* APEMain.m - SCM */ = {
+		isa = PBXFileReference;
+		path = "APEMain.m - SCM";
+		sourceTree = "<group>";
+	};
+	E101AD9E0D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 136";
+		rLen = 0;
+		rLoc = 8506;
+		rType = 0;
+		vrLen = 2323;
+		vrLoc = 7359;
+	};
+	E101AD9F0D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD290D6F737A00AB607D /* CFBase.h */;
+		name = "CFBase.h: 346";
+		rLen = 8;
+		rLoc = 10778;
+		rType = 0;
+		vrLen = 1376;
+		vrLoc = 10028;
+	};
+	E101ADA00D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACBC0D6F6B1900AB607D /* LSInfo.h */;
+		name = "LSInfo.h: 1";
+		rLen = 0;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 2590;
+		vrLoc = 0;
+	};
+	E101ADA10D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101ACDD0D6F6E0C00AB607D /* MacTypes.h */;
+		name = "MacTypes.h: 467";
+		rLen = 19;
+		rLoc = 19234;
+		rType = 0;
+		vrLen = 3357;
+		vrLoc = 15420;
+	};
+	E101ADA20D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */;
+		name = "Info-APE Module.plist: 44";
+		rLen = 0;
+		rLoc = 1368;
+		rType = 0;
+		vrLen = 1368;
+		vrLoc = 0;
+	};
+	E101ADA30D6F795B00AB607D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E101AD2F0D6F737A00AB607D /* CFNumber.h */;
+		name = "CFNumber.h: 52";
+		rLen = 0;
+		rLoc = 1158;
+		rType = 0;
+		vrLen = 1420;
+		vrLoc = 14;
 	};
 	E104851C040C1E3900050002 /* テキストエディット */ = {
@@ -11455,13 +13216,4 @@
 		path = /Applications/TextEdit.app;
 		sourceTree = "<absolute>";
-	};
-	E11854F703F2709E00050002 /* CPS.h */ = {
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 3443}}";
-			sepNavSelRange = "{3, 5}";
-			sepNavVisRange = "{0, 341}";
-			sepNavVisRect = "{{0, 2381}, {802, 929}}";
-			sepNavWindowFrame = "{{15, 56}, {841, 967}}";
-		};
 	};
 	E120DB7308141CCB00BF8DDC /* ICeCoffEE Installer */ = {
@@ -12231,6 +13983,6 @@
 	E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {703, 645}}";
-			sepNavSelRange = "{1185, 28}";
+			sepNavIntBoundsRect = "{{0, 0}, {703, 622}}";
+			sepNavSelRange = "{1368, 0}";
 			sepNavVisRange = "{0, 1368}";
 			sepNavVisRect = "{{0, 0}, {707, 473}}";
@@ -12474,6 +14226,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {715, 6668}}";
-			sepNavSelRange = "{5486, 0}";
-			sepNavVisRect = "{{0, 2443}, {715, 709}}";
+			sepNavSelRange = "{8506, 0}";
+			sepNavVisRect = "{{0, 2623}, {715, 686}}";
 			sepNavWindowFrame = "{{856, 65}, {754, 746}}";
 		};
@@ -12489,7 +14241,7 @@
 	F9A6986E03BE1DF000AA4DA5 /* APEMain.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {693, 3591}}";
-			sepNavSelRange = "{3028, 0}";
-			sepNavVisRange = "{2069, 1966}";
+			sepNavIntBoundsRect = "{{0, 0}, {796, 3437}}";
+			sepNavSelRange = "{2296, 0}";
+			sepNavVisRange = "{2053, 2358}";
 			sepNavVisRect = "{{0, 566}, {813, 376}}";
 			sepNavWindowFrame = "{{182, 79}, {752, 654}}";
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 388)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 389)
@@ -162,5 +162,4 @@
 		E101AA120D6F41C800AB607D /* ICeCoffEETTViewTrigger.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEETTViewTrigger.h; sourceTree = "<group>"; };
 		E101AA130D6F41C800AB607D /* ICeCoffEETTViewTrigger.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEETTViewTrigger.m; sourceTree = "<group>"; };
-		E11854F703F2709E00050002 /* CPS.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; path = CPS.h; sourceTree = "<group>"; };
 		E120DF0C08141D5100BF8DDC /* ICeCoffEE Installer.app */ = {isa = PBXFileReference; lastKnownFileType = wrapper.application; name = "ICeCoffEE Installer.app"; path = "Installer components/ICeCoffEE Installer.app"; sourceTree = "<group>"; };
 		E1240CA10A7150E400886FB4 /* German */ = {isa = PBXFileReference; lastKnownFileType = wrapper.nib; name = German; path = "German.lproj/Select services.nib"; sourceTree = "<group>"; };
@@ -326,5 +325,4 @@
 				E14E2AB30C2B774800AC18D0 /* ICeCoffEEParser.h */,
 				E14E2AB40C2B774800AC18D0 /* ICeCoffEEParser.m */,
-				E11854F703F2709E00050002 /* CPS.h */,
 				E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */,
 				E14343B303DB4CF200050002 /* ICeCoffEE.h */,
